Name:    siemens-certificates
Version: 2024.03.12
Release: 1%{?dist}
URL: https://certificates.pki.siemens.cloud/
Summary: Siemens CA Certificates
License: MIT
BuildArch: noarch
Source: certs.tar.gz

Requires: ca-certificates
Conflicts: siemens-ca-certificates

%description

%prep

%setup -c

%install
%if 0%{?suse_version}
install -d -m 0755 %{buildroot}/%{_sysconfdir}/pki/trust/anchors
install -p -m 0644 %{_builddir}/%{name}-%{version}/*.crt %{buildroot}/%{_sysconfdir}/pki/trust/anchors/
%else
install -d -m 0755 %{buildroot}/%{_sysconfdir}/pki/ca-trust/source/anchors
install -p -m 0644 %{_builddir}/%{name}-%{version}/*.crt %{buildroot}/%{_sysconfdir}/pki/ca-trust/source/anchors/
%endif

%files
%if 0%{?suse_version}
%{_sysconfdir}/pki/trust/anchors/
%else
%{_sysconfdir}/pki/ca-trust/source/anchors/
%endif

%post
%if 0%{?suse_version}
update-ca-certificates
%else
update-ca-trust
%endif

%postun
%if 0%{?suse_version}
update-ca-certificates
%else
update-ca-trust
%endif

%changelog
* Tue Mar 12 2024 Siemens mLinux <mlinux.it@siemens.com> - 2024.03.12-1
- update certificates

* Wed Apr 19 2023 Patrick Wicki <patrick.wicki@siemens.com> - 2023.04.19
- Initial version
